Name:           librocksdb
Version:        5.8.fb
Release:        1%{?dist}
Summary:        RocksDB library

License:        BSD and MIT
URL:            https://github.com/facebook/rocksdb
Source0:        https://github.com/facebook/rocksdb/archive/%{version}.tar.gz

Requires: snappy libzstd zlib bzip2
BuildRequires:  gcc libzstd-devel snappy-devel zlib-devel bzip2-devel

%description

%package devel
Summary:        Header files
Requires:       %{name} = %{version}-%{release}

%description devel
Header files


%prep
%setup -q -n rocksdb-%{version}
find -name .gitignore -delete

%build
make shared_lib

%install
INSTALL_PATH=$RPM_BUILD_ROOT/%{_prefix} make install-shared

%files
%{_prefix}/lib/librocksdb.so.*


%files devel
%{_prefix}/include/rocksdb/
%{_prefix}/lib/librocksdb.so

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

